Subject: bug#50212: closed (Re: bug#50212: Several tests fail, Bash fails often. Was: Tests fail while building Guix)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 30 Aug 2021 20:25:03 +0000

Your bug report

#50212: Tests fail while building Guix

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50212: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50212
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50212: Several tests fail, Bash fails often. Was: Tests fail while building Guix
From: Maxim Cournoyer <[email-masked]>
To: Simon Streit <[email-masked]>
Cc: [email-masked], Maxime Devos <[email-masked]>
Date: Mon, 30 Aug 2021 16:24:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Simon,

Simon Streit <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>> I'm guessing the i386 does something bogus?  Your x86_64 is already able
>> to run i386 code natively, AFAIK.
>
> Alright, this was my interpretation from the manual and available
> architectures that I just plugged it all together like that.  I wasn't
> aware that x86_64 can run i386 natively.
>
>> The binfmt service type registers binary formats of non-native
>> architectures with interpreters to run them [0]; this way, when an ARM
>> binary is encountered on a x86_64 system, the kernel Linux knows to
>> launch it via QEMU, for example.  Since commit
>> 77c2f4e2068ebec3f384c826c5a99785125ff72c, this is in effect for any
>> container (it used to be possible to enable it with (guix-support? #t)
>> on only for the container spawned by guix-daemon.
>
> I reenabled the service without it mentioning i386.  Building Guix
> passes as expected.  Thank you.

No worries.  Thank you for the update.

Closing.

Maxim

Subject: Tests fail while building Guix
From: Simon Streit <[email-masked]>
To: [email-masked]
Date: Thu, 26 Aug 2021 15:45:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

after a time off, I just recently began pulling the latest commits and
have been trying to build Guix since maybe a week.  But several tests
fail.  Even a clean clone fails.

I've only a handful of logs.  It seams that the tests fail mostly for
this reason:

/home/ss2/code/guix/test-tmp/store/9m9mjdz3zl28n1dq094aqsxk5d480mvg-bash: 9m9mjdz3zl28n1dq094aqsxk5d480mvg-bash: No such file or directory

But this executable is there though.

I've attached only a handful of logs.

Cheers
Simon